<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2015 Nagios Enterprises, LLC
//
//  File: timeperiod_template.php
//  Desc: Template of HTML for the layout of the Time Periods create/edit box.
//
?>
    <div id="tab1">
        <div class="top-box">
            <div class="leftBox">
                <div class="ccm-row">
                    <label for='tfName'><?php echo _("Timeperiod Name"); ?> <span class="req">*</span></label>
                    <input type="text" class="required" value="<?php @val($FIELDS['timeperiod_name']); ?>" id='tfName' name='tfName' style="width: 250px;">
                </div>
                <div class="ccm-row">
                    <label for='tfFriendly'><?php echo _("Description"); ?> <span class="req">*</span></label>
                    <input type="text" class="required" value="<?php @val($FIELDS['alias']); ?>" id="tfFriendly" name="tfFriendly" style="width: 250px;">
                </div>
                <div class="ccm-row">
                    <label for='tfTplName'><?php echo _("Template Name"); ?></label>
                    <input type="text"  value="<?php @val($FIELDS['name']); ?>" id="tfTplName" name="tfTplName" style="width: 250px;">
                </div>
                <?php 
                // Check if the active button should be checked
                $active_checked = '';
                if ((isset($FIELDS['active']) && $FIELDS['active'] == '1') || !isset($FIELDS['active'])) {
                    $active_checked = 'checked="checked"';
                }
                ?>
                <div class="ccm-row oneline">
                    <label for="chbActive"><?php echo _("Active"); ?></label>
                    <input name="chbActive" type="checkbox" class="checkbox" id="chbActive" value="1" <?php echo $active_checked; ?>>
                    <i class="fa fa-info-circle tooltip-info" title="<?php echo _("Only active objects will be written to the config files and appear in Nagios. Inactive objects will only be shown in the CCM."); ?>"></i>
                </div>
            </div>
            <div class="rightBox">
                <div class="ccm-row">
                    <label for="txtTimedefinition"><?php echo _("Time Definition"); ?></label>
                    <input type="text" name="txtTimedefinition" id="txtTimedefinition">
                    <div class="subtext"><?php echo _("Examples"); ?>: "monday", "december 25", "use"</div>
                </div>
                <div class="ccm-row">
                    <label for="txtTimerange"><?php echo _("Time Range"); ?></label>
                    <input type="text" name="txtTimerange" id="txtTimerange">
                    <div class="subtext"><?php echo _("Examples"); ?>: "00:00-24:00", "09:00-17:00", "us-holidays"</div>
                </div>
            
                <p><a class='linkBox' href="javascript:void(0);" onclick="insertTimeperiod(false,false)"; title="Insert"><i class="fa fa-arrow-down"></i> <?php echo _("Insert Definition"); ?></a></p>
            </div>
            <div class="clear"></div>
        </div>
        <div id="timeperiod-box">    
            <table class='outputTable' id="tblTimeperiods">
                <tr>
                    <th><?php echo _("Time Definition"); ?></th>
                    <th><?php echo _("Time Range"); ?></th>
                    <th><?php echo _("Delete"); ?></th>
                </tr>
            </table>
        </div>
        <p><a class="linkBox" href="javascript:overlay('excludeBox')" title="<?php echo _("Manage Timeperiod Exclusions"); ?>"><?php echo _("Manage Timeperiod Exclusions"); ?></a></p>
    </div>